﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Microsoft.Phone.Storage;
using System.IO;

namespace Phone文件关联
{
    public partial class SdCardPage : PhoneApplicationPage
    {
        public SdCardPage()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            filesInit();
            base.OnNavigatedTo(e);
        }

        //初始化文件列表，只包含可识别文件
        private async void filesInit()
        {
            //获取插入手机的SD卡集合，一般最多一张SD卡。
            var externalStorageDevices = await ExternalStorage.GetExternalStorageDevicesAsync();
            //获取集合第一张SD卡
            ExternalStorageDevice sdCard = externalStorageDevices.FirstOrDefault();
            if (sdCard == null)
            {
                MessageBox.Show("并没有发现SD卡，请检查SD卡是否插好。");
                return;
            }
            //获取根目录下全部文件
            var files = await sdCard.RootFolder.GetFilesAsync();
            listboxFiles.ItemsSource = files.Where(x => x.Name.EndsWith(".myfile1") || x.Name.EndsWith(".myfile2"));
        }

        //打开文件列表选择的文件
        private async void Button_Click_1(object sender, RoutedEventArgs e)
        {

            ExternalStorageFile file = listboxFiles.SelectedItem as ExternalStorageFile;
            if (file == null) return;
            //读取文件
            var stream = await file.OpenForReadAsync();

            StreamReader s = new StreamReader(stream, System.Text.Encoding.Unicode);
            var fileText = s.ReadToEnd();
            MessageBox.Show("文件名：" + file.Name + "\n内容：" + fileText);

        }



    }
}